
From: Adrian Bunk <bunk@stusta.de>

- arch/i386/kernel/reboot.c: make reboot_thru_bios static
- arch/i386/mach-visws/reboot.c: remove the unused reboot_thru_bios and
                                 reboot_smp
- arch/i386/mach-voyager/voyager_basic.c: remove the unused reboot_thru_bios
- arch/i386/mach-voyager/voyager_smp.c: remove the unused reboot_smp

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/reboot.c              |    2 +-
 25-akpm/arch/i386/mach-visws/reboot.c          |    3 ---
 25-akpm/arch/i386/mach-voyager/voyager_basic.c |    2 --
 25-akpm/arch/i386/mach-voyager/voyager_smp.c   |    2 --
 4 files changed, 1 insertion(+), 8 deletions(-)

diff -puN arch/i386/kernel/reboot.c~i386-rebootc-cleanups arch/i386/kernel/reboot.c
--- 25/arch/i386/kernel/reboot.c~i386-rebootc-cleanups	2005-01-16 00:31:25.878745224 -0800
+++ 25-akpm/arch/i386/kernel/reboot.c	2005-01-16 00:31:25.887743856 -0800
@@ -20,7 +20,7 @@
 void (*pm_power_off)(void);
 
 static int reboot_mode;
-int reboot_thru_bios;
+static int reboot_thru_bios;
 
 #ifdef CONFIG_SMP
 static int reboot_cpu = -1;
diff -puN arch/i386/mach-visws/reboot.c~i386-rebootc-cleanups arch/i386/mach-visws/reboot.c
--- 25/arch/i386/mach-visws/reboot.c~i386-rebootc-cleanups	2005-01-16 00:31:25.880744920 -0800
+++ 25-akpm/arch/i386/mach-visws/reboot.c	2005-01-16 00:31:25.887743856 -0800
@@ -8,9 +8,6 @@
 
 void (*pm_power_off)(void);
 
-int reboot_thru_bios;
-int reboot_smp;
-
 void machine_restart(char * __unused)
 {
 #ifdef CONFIG_SMP
diff -puN arch/i386/mach-voyager/voyager_basic.c~i386-rebootc-cleanups arch/i386/mach-voyager/voyager_basic.c
--- 25/arch/i386/mach-voyager/voyager_basic.c~i386-rebootc-cleanups	2005-01-16 00:31:25.881744768 -0800
+++ 25-akpm/arch/i386/mach-voyager/voyager_basic.c	2005-01-16 00:31:25.888743704 -0800
@@ -36,8 +36,6 @@
  */
 void (*pm_power_off)(void);
 
-int reboot_thru_bios;
-
 int voyager_level = 0;
 
 struct voyager_SUS *voyager_SUS = NULL;
diff -puN arch/i386/mach-voyager/voyager_smp.c~i386-rebootc-cleanups arch/i386/mach-voyager/voyager_smp.c
--- 25/arch/i386/mach-voyager/voyager_smp.c~i386-rebootc-cleanups	2005-01-16 00:31:25.882744616 -0800
+++ 25-akpm/arch/i386/mach-voyager/voyager_smp.c	2005-01-16 00:31:25.889743552 -0800
@@ -32,8 +32,6 @@
 
 #include <linux/irq.h>
 
-int reboot_smp = 0;
-
 /* TLB state -- visible externally, indexed physically */
 DEFINE_PER_CPU(struct tlb_state, cpu_tlbstate) ____cacheline_aligned = { &init_mm, 0 };
 
_
